status.h File Reference
`#include <core/net/visibility.h>`
`#include <iosfwd>`
Include dependency graph for status.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | core
namespace | core::net
namespace | core::net::http

## Enumerations

enum class

core::net::http::Status {
core::net::http::continue_ = 100 ,
core::net::http::switching_protocols = 101 ,
core::net::http::ok = 200 ,
core::net::http::created = 201 ,
core::net::http::accepted = 202 ,
core::net::http::non_authorative_info = 203 ,
core::net::http::no_content = 204 ,
core::net::http::reset_content = 205 ,
core::net::http::partial_content = 206 ,
core::net::http::multiple_choices = 300 ,
core::net::http::moved_permanently = 301 ,
core::net::http::found = 302 ,
core::net::http::see_other = 303 ,
core::net::http::not_modified = 304 ,
core::net::http::use_proxy = 305 ,
core::net::http::temporary_redirect = 307 ,
core::net::http::bad_request = 400 ,
core::net::http::unauthorized = 401 ,
core::net::http::payment_required = 402 ,
core::net::http::forbidden = 403 ,
core::net::http::not_found = 404 ,
core::net::http::method_not_allowed = 405 ,
core::net::http::not_acceptable = 406 ,
core::net::http::proxy_auth_required = 407 ,
core::net::http::request_timeout = 408 ,
core::net::http::conflict = 409 ,
core::net::http::gone = 410 ,
core::net::http::length_required = 411 ,
core::net::http::precondition_failed = 412 ,
core::net::http::request_entity_too_large = 413 ,
core::net::http::request_uri_too_long = 414 ,
core::net::http::unsupported_media_type = 415 ,
core::net::http::requested_range_not_satisfiable = 416 ,
core::net::http::expectation_failed = 417 ,
core::net::http::teapot = 418 ,
core::net::http::internal_server_error = 500 ,
core::net::http::not_implemented = 501 ,
core::net::http::bad_gateway = 502 ,
core::net::http::service_unavailable = 503 ,
core::net::http::gateway_timeout = 504 ,
core::net::http::http_version_not_supported = 505
}

## Functions

CORE_NET_DLL_PUBLIC std::ostream & | core::net::http::operator<< (std::ostream &out, Status status)